petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscAbsReal

Returns the absolute value of an real number

### Synopsis

    #include <petscmath.h>
    Real abs PetscAbsReal(PetscReal v1)

Not Collective

### Input Parameter

v1 -the double

### See Also

PetscMax(), PetscMin(), PetscAbsInt(), PetscSqr()

### Level

beginner

### Location

include/petscmath.h

### Examples

src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex51.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages